<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/bgLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/material_grey100"
    android:orientation="vertical"
    android:paddingTop="@dimen/seekbarsize">

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/toolbar"
        android:layout_width="match_parent"
        android:layout_height="?android:attr/actionBarSize"
        android:background="#ffffff"
        android:elevation="@dimen/seekbarsize_small"
        app:contentInsetLeft="0dp"
        app:contentInsetStart="0dp"
        app:popupTheme="@style/AppTheme.PopupOverlay">

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:gravity="center"
            android:scrollHorizontally="true"
            android:singleLine="true"
            android:text="MY RANKING"
            android:textAllCaps="true"
            android:textColor="@color/base_color"
            android:textSize="@dimen/txt15"
            android:textStyle="bold" />
    </androidx.appcompat.widget.Toolbar>

    <LinearLayout
        android:id="@+id/wholeLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:paddingLeft="@dimen/textSizeSmall"
        android:paddingRight="@dimen/textSizeSmall">

        <LinearLayout
            android:id="@+id/layout2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:paddingLeft="@dimen/textSizeSmall"
            android:paddingRight="@dimen/textSizeSmall">

            <TextView
                android:layout_width="0dip"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center|left"
                android:maxLines="1"
                android:singleLine="true"
                android:text="Your Position"
                android:textColor="@color/material_black"
                android:textSize="@dimen/textSizeAverage"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/positionOutof"
                android:layout_width="0dip"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center|right"
                android:maxLines="1"
                android:singleLine="true"
                android:textColor="@color/material_black"
                android:textSize="@dimen/textSizeSmall" />
        </LinearLayout>


        <androidx.cardview.widget.CardView
            android:id="@+id/layout3"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:cardBackgroundColor="#ffffff"
            app:cardElevation="2dp"
            app:cardMaxElevation="2dp"
            app:cardUseCompatPadding="true">

            <RelativeLayout
                android:id="@+id/linear"
                android:layout_width="match_parent"
                android:layout_height="110dp"
                android:gravity="center"
                android:minHeight="110dp"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:baselineAligned="false"
                    android:orientation="horizontal">


                    <FrameLayout
                        android:layout_width="@dimen/buttonHeightLarge"
                        android:layout_height="@dimen/buttonHeightLarge"
                        android:layout_gravity="center"
                        android:layout_margin="@dimen/seekbarsize_small">

                        <ImageView
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:contentDescription="@string/app_name"
                            android:scaleType="fitCenter"
                            android:src="@drawable/ellipse"
                            android:tint="@color/base_color" />

                        <com.github.siyamed.shapeimageview.CircularImageView
                            android:id="@+id/userImage"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_margin="@dimen/seekbarsize_small"
                            android:src="@drawable/fake_user_icon"
                            app:siBorderColor="@android:color/white"
                            app:siBorderWidth="0dp" />
                    </FrameLayout>

                    <LinearLayout
                        android:layout_width="0dip"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/name"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center|left"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:text="Muthu"
                            android:textColor="@color/material_black"
                            android:textSize="@dimen/textSizeSmall"
                            android:textStyle="bold" />

                        <TextView
                            android:id="@+id/location"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center|left"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:text="Chennai"
                            android:textColor="@color/material_black"
                            android:textSize="@dimen/textSizeSmall" />

                        <TextView
                            android:id="@+id/dealer_name"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center|left"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:text="Student"
                            android:textColor="@color/material_black"
                            android:textSize="@dimen/textSizeSmall" />

                        <TextView
                            android:id="@+id/duration"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center|left"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:text="2020-2023"
                            android:textColor="@color/material_black"
                            android:textSize="@dimen/textSizeSmall" />

                        <TextView
                            android:id="@+id/dateTime"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center|left"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:textColor="@color/material_black"
                            android:textSize="10dp"
                            android:visibility="gone" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="120dp"
                        android:layout_height="match_parent"
                        android:layout_marginEnd="12dp"
                        android:gravity="center"
                        android:orientation="vertical">

                        <FrameLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content">

                            <ImageView
                                android:id="@+id/cup"
                                android:layout_width="@dimen/buttonHeight"
                                android:layout_height="@dimen/buttonHeight"
                                android:layout_gravity="center"
                                android:background="@android:color/transparent"
                                android:contentDescription="@string/app_name"
                                android:scaleType="fitCenter"
                                android:src="@drawable/custom_circle_blue" />

                            <TextView
                                android:id="@+id/position"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:gravity="center"
                                android:maxLines="1"
                                android:singleLine="true"
                                android:text="1"
                                android:textColor="@color/white"
                                android:textSize="@dimen/txt15"
                                android:textStyle="bold" />
                        </FrameLayout>

                        <TextView
                            android:id="@+id/score"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:text="80%"
                            android:textColor="@color/material_black"
                            android:textSize="@dimen/textSizeAverage"
                            android:textStyle="bold" />
                    </LinearLayout>


                </LinearLayout>

                <ImageView
                    android:id="@+id/myPositionBadge"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_alignParentTop="true"
                    android:layout_alignParentEnd="true"
                    android:src="@drawable/gold" />

            </RelativeLayout>

        </androidx.cardview.widget.CardView>

        <LinearLayout
            android:id="@+id/layout4"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:paddingLeft="@dimen/textSizeSmall"
            android:paddingRight="@dimen/textSizeSmall">

            <TextView
                android:id="@+id/topcount"
                android:layout_width="0dip"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center|left"
                android:maxLines="1"
                android:singleLine="true"
                android:text="Top 5"
                android:textColor="@color/material_black"
                android:textSize="@dimen/textSizeAverage"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/outofcount"
                android:layout_width="0dip"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center|right"
                android:maxLines="1"
                android:singleLine="true"
                android:text="Out of 20"
                android:textColor="@color/material_black"
                android:textSize="@dimen/textSizeSmall" />
        </LinearLayout>

    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/leaderList"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="visible" />

    <TextView
        android:id="@+id/noDataFound"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_gravity="center"
        android:gravity="center"
        android:text="No Assessment found."
        android:textColor="@color/material_black"
        android:textSize="18sp"
        android:visibility="gone" />


</LinearLayout>
